import * as React from 'react';
import { IgrToolAction, IIgrToolActionProps } from "./igr-tool-action";
import { ToolActionNumberInput } from "./ToolActionNumberInput";
export declare class IgrToolActionNumberInput extends IgrToolAction<IIgrToolActionNumberInputProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): ToolActionNumberInput;
    /**
                                 * @hidden
                                 */
    get i(): ToolActionNumberInput;
    constructor(props: IIgrToolActionNumberInputProps & React.HTMLAttributes<HTMLElement>);
    /**
     * Gets or sets the value for the input.
    */
    get value(): number;
    set value(v: number);
}
export interface IIgrToolActionNumberInputProps extends IIgrToolActionProps {
    /**
     * Gets or sets the value for the input.
    */
    value?: number | string;
}
